Sign in

Publii 0.4.1 with MacOs Catalina

  • This topic has 1 reply, 2 voices, and was last updated 6 months, 1 week ago by .
Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #9998
    Avatar photoBKaernel

    Hello. I try to install Publii 0.41.1 (build 15919) with mac os 10.15.7
    to use with jekyll.

    But i have an error :

    Process:               Publii [2966]
    Path:                  /Applications/Publii.app/Contents/MacOS/Publii
    Identifier:            com.tidycustoms.publii
    Version:               0.41.1 (0.41.1)
    Code Type:             X86-64 (Native)
    Parent Process:        ??? [1]
    Responsible:           Publii [2966]
    User ID:               503
    
    Date/Time:             2023-05-20 13:15:43.460 +0200
    OS Version:            Mac OS X 10.15.7 (19H2026)
    Report Version:        12
    Anonymous UUID:        99B34819-1CD6-605B-6CE6-4AD190B06948
    
    Sleep/Wake UUID:       C0B796C4-FE3E-4F9B-9DC7-E21449BDBBCA
    
    Time Awake Since Boot: 18000 seconds
    Time Since Wake:       2400 seconds
    
    System Integrity Protection: enabled
    
    Crashed Thread:        0  Dispatch queue: com.apple.main-thread
    
    Exception Type:        EXC_CRASH (SIGABRT)
    Exception Codes:       0x0000000000000000, 0x0000000000000000
    Exception Note:        EXC_CORPSE_NOTIFY
    
    Termination Reason:    DYLD, [0x4] Symbol missing
    
    Dyld Error Message:
      Symbol not found: _pthread_jit_write_protect_supported_np
      Referenced from: /Applications/Publii.app/Contents/Resources/app.asar.unpacked/node_modules/sharp/build/Release/../.././vendor/8.13.3/darwin-x64/lib/libvips-cpp.42.dylib
      Expected in: /usr/lib/libSystem.B.dylib

    Does anyone know what’s going on ? Thanks.

    #10015
    Avatar photoitips3727

    @BKaernel

    Sorry, I probably can’t help much with your problem, a couple of thoughts come to mind.

    • It seems Publii is best used as a standalone static website CMS rather than attempting to use it with another CMS like Jekyll.
    • Make sure you’re using the right version of Publii from: https://getpublii.com/download/  — since your Mac operating system isn’t the latest version, you might need an older version of Publii to match it.
Viewing 2 posts - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.